{%extends "index.html" %}  

{% block head %}
{{ super() }}

{%endblock%}

{%block content%}   
<form  action="/updateFood/{{activeItem[1].id}}" method="post" role="form">
  {{ foodForm.csrf }}
  <div class="form-group" id="editFoodForm">
	<label for="foodName">Name:</label>
   	<input type="text" class="form-control" id="name" name="name" value="{{activeItem[1].name}}">
  <br>
  <label for="city">City:</label>
  <br>
  <div class="btn-group">
    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
      <span class="caret" id="selectedCity">{{selectedCity.name}}</span>
    </button>
    <br>
    <ul class="dropdown-menu">
     	{% for country in countries %}
        {% if country.name == activeCountry %}
          {% for city in country.countryCities %}
            <li>
              <label class="dropdown-menu-item radio">
              <input type="radio" name="radioValue" value="{{city.name}}" {% if city.name == selectedCity.name %} checked="checked" {% endif %}/>
                {{city.name}}
              </label>
            </li>
          {% endfor %}
        {%endif%}
      {% endfor %}
      <li>
        <button class="btn btn-link dropdown-menu-item">
          Add city
        </button>
      </li>
    </ul>
  </div>
  <br>
  <label for="address">Address:</label> 
    <input type="text" class="form-control" id="newAddress" name="newAddress" {% if 'unknown' not in foodForm.address.data %} value="{{foodForm.address.data}}"{% endif %}>
  <br>
  <label for="newMealType">Meal Type:</label>
	<select id="newMealType" name="newMealType" class="form-control">
  	{% for key, itemValue in mealTypeList %}
      <option value="{{key}}" {% if key == foodForm.mealType.data %} selected="selected" {% endif %} >
    		{{itemValue}}
     	</option>
   	{% endfor %}
	</select>
  <br>
  <label for="newInterestLevel">Interest Level (1-5):</label>
  <div class="slidecontainer">
    <input id="newRange" type="range" name="newInterestLevel" min="0" step="1" max="4" value="{{foodForm.interestLevel.data}}" class="white" onchange="updateTextInput(this.value);">
      <p id="newInterestLevel">{{interestLevelList[foodForm.interestLevel.data]}}</p>
  </div>
  <br>
  <label for="foodNotes">Notes:</label>
  <br>
  <textarea id="newNotes" rows="5" cols="50" name="newNotes">{{foodForm.notes.data}}</textarea>
  </div>
  <button type="submit" class="btn btn-success">Update</button>
  <a type="button" class="btn btn-danger" href="{{ url_for('country', activeCountry=activeCountry) }}">Cancel</a>
</form>  

<div class="delete">
  <a type="button" class="icon-btn" data-toggle="modal" data-target="#deleteConfirmModal">
    <img style="width: 25px;" src='/static/icons/trash.png'/></a>
    <div class="modal fade" id="deleteConfirmModal" role="dialog" style="margin-top: 100px">
      {% include "deleteConfirmModal.html" %}  
    </div>
</div>

<script>
function updateTextInput() {
  var value1 = Number(document.getElementById("newRange").value);
  var newInterestLevel = "";
  var interestList = {{ interestLevelList|tojson|safe }};
  document.getElementById('newInterestLevel').innerHTML = interestList[value1];  
};

var radios = $("input:radio");
radios.click(function () {
  radios.removeAttr('checked');
  $(this).prop("checked", true);
  
  document.getElementById('selectedCity').innerHTML = $(this).val();
  return true;
});
</script>
{% endblock %}